Xerces-J API: Interface GrammarResolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.common
Interface GrammarResolver

All Known Implementing Classes:
  GrammarResolverImpl

public interface GrammarResolver

This class embodies the representation of a Grammar pool Resolver. This class is called from the validator.

Author:
  Jeffrey Rodriguez

Method Summary
`void` | `clearGrammarResolver()` Reset internal Namespace/Grammar registry.
`boolean` | `contains(Grammar grammar)` Is Grammar abstraction in Grammar pool?
`boolean` | `containsNameSpace(java.lang.String nameSpaceKey)` Is Namespace key in Grammar pool
`DatatypeValidatorFactory` | `getDatatypeRegistry()`
`Grammar` | `getGrammar(java.lang.String nameSpaceKey)`
`java.util.Enumeration` | `nameSpaceKeys()`
`void` | `putGrammar(java.lang.String nameSpaceKey, Grammar grammar)`
`Grammar` | `removeGrammar(java.lang.String nameSpaceKey)` Removes association of Namespace key and Grammar from Grammar pool
`int` | `size()`

Method Detail

### getGrammar

    public Grammar getGrammar(java.lang.String nameSpaceKey)

  Parameters:
    `nameSpaceKey` - Namespace key into Grammar pool
  Returns:
    Grammar abstraction associated with NameSpace key.

### getDatatypeRegistry

    public DatatypeValidatorFactory getDatatypeRegistry()

### nameSpaceKeys

    public java.util.Enumeration nameSpaceKeys()

  Returns:
    Enumeration of String key name spaces in Grammar pool

### putGrammar

    public void putGrammar(java.lang.String nameSpaceKey,
                           Grammar grammar)

  Parameters:
    `nameSpaceKey` - Key to associate with Grammar abstraction
    `grammar` - Grammar abstraction used by validator.

### removeGrammar

    public Grammar removeGrammar(java.lang.String nameSpaceKey)

  Removes association of Namespace key and Grammar from Grammar pool
  Parameters:
    `nameSpaceKey` - Name space key

### contains

    public boolean contains(Grammar grammar)

  Is Grammar abstraction in Grammar pool?
  Parameters:
    `grammar` - Grammar Abstraction
  Returns:
    true - Yes there is at least one instance false - No

### containsNameSpace

    public boolean containsNameSpace(java.lang.String nameSpaceKey)

  Is Namespace key in Grammar pool
  Parameters:
    `nameSpaceKey` - Namespace key
  Returns:
    Boolean- true - Namespace key association is in grammar pool.

### clearGrammarResolver

    public void clearGrammarResolver()

  Reset internal Namespace/Grammar registry.

### size

    public int size()

  Returns:
    Length of grammar pool. Number of associations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.